<!DOCTYPE html>
<%@ taglib prefix="s" uri="http://stripes.sourceforge.net/stripes.tld"%> 

<div id="customer-data" class="linear-form">
<s:form class="form-horizontal" id="frmData1" beanclass="com.dougestep.pane.demo.AboutCustomerAction">
<input type="hidden" id="event" name="save.x" /> 

<s:errors />
<s:messages/>
<div class="control-group">
	<s:label class="control-label" for="name">Your Name</s:label>
    <div class="controls">
    	<s:text id="name" name="name" class="span8 disabler-show-text-readonly"></s:text>
    </div>
</div>

<div class="control-group">
	<s:label class="control-label" for="age">Your Age</s:label>
    <div class="controls">
    	<s:text id="age" name="age" class="span3 disabler-show-text-readonly" />
    </div>
</div>

<div class="row-fluid">
	<div class="span12">
		<input type="button" name="btnSave" value="Save" class="btn btn-primary" /> 
		<input type="button" name="btnSaveWithError" value="Save (With Error)" class="btn btn-danger" /> 
		<input type="button" name="btnReset" value="Reset" class="btn btn-inverse" /> 
		<input type="button" name="btnRefresh" value="Refresh" class="btn" /> 
		<input type="button" name="btnDisable" value="Disable" class="btn disabler-ignore-readonly" /> 
		<input type="button" name="btnReadOnly" value="ReadOnly" class="btn disabler-ignore-readonly" />  
	</div>
</div>
</s:form>
</div>

<script type="text/javascript">
$(function() {
	// disable form submits
	$("#customer-data form").on("submit", function(e) {
		e.preventDefault();
	});
	
	var paneContainer = selectPaneContainer("customer-data");

	// Save button	
	$("div#customer-data input[name='btnSave']").on("click", function(e) {
		e.preventDefault();
		
		var url = $('form#frmData1').attr("action");
		var data = $('form#frmData1').serializeArray(); 
		var params = {
			'containerId' : 'customer-data',
			'ajaxSettings' : {
				url : url,
				data : data,
				success : function(data, status, xhr) {
					$("div#customer-data").html(data);
				}
			}
		};
		$(paneContainer).pane("call", params);
	});

	// Save With Error button
	$("div#customer-data input[name='btnSaveWithError']").on("click", function(e) {
		e.preventDefault();
		
		$("div#customer-data input#event").attr("name", "saveWithError.x");
		var url = $('form#frmData1').attr("action");
		var data = $('form#frmData1').serializeArray(); 
		var params = {
			'containerId' : 'customer-data',
			'ajaxSettings' : {
				url : url,
				data : data,
				success : function(data, status, xhr) {
					$("div#customer-data").html(data);
				}
			},
			'keepModifiedIfExistInDom' : 'div#errors',
			'afterCall' : function(data, status, xhr) {
				$("div#customer-data input.error").each(function(index) {
					$(this).parents("div.control-group").addClass("error");
				});
			}
		};
		$(paneContainer).pane("call", params);
	});
	
	// Reset button
	$("div#customer-data input[name='btnReset']").on("click", function(e) {
		e.preventDefault();
		
		$(paneContainer).pane("resetModifiedColumnsInContainer");
		$("div#customer-data div.control-group").removeClass("error");
		$("div#customer-data input.error").removeClass("error");
		$("div#customer-data div#errors").html('');
	});
	
	// Refresh Button
	$("div#customer-data input[name='btnRefresh']").on("click", function(e) {
		e.preventDefault();
		
		$(paneContainer).pane("load", paneLoadOption.PROMPT_ONLY_IF_MODIFIED);
	});
	
	// Disable Button
	$("div#customer-data input[name='btnDisable']").on("click", function(e) {
		e.preventDefault();
		
		var container = $(paneContainer); 
		if (container.pane("option", "disable")) {
			container.find("input[name='btnReadOnly']").removeAttr("disabled");
			container.pane("enable");
			$(this).val("Disable");
		} else {
			container.find("input[name='btnReadOnly']").attr("disabled", "disabled");
			container.pane("disable");
			$(this).val("Enable");			
		}
	});
	
	// Read Only Button
	$("div#customer-data input[name='btnReadOnly']").on("click", function(e) {
		e.preventDefault();
		
		var container = $(paneContainer); 
		if (container.pane("option", "readonly")) {
			container.find("input[name='btnDisable']").removeAttr("disabled");
			container.pane("option", "readonly", false);
			$(this).val("ReadOnly");
		} else {
			container.find("input[name='btnDisable']").attr("disabled", "disabled");
			container.pane("option", "readonly", true);
			$(this).val("Undo ReadOnly");			
		}
	});
});
</script>

