<!DOCTYPE html>
<%@ taglib prefix="s" uri="http://stripes.sourceforge.net/stripes.tld"%> 

<div id="pet-data" class="linear-form">
<s:form class="form-horizontal" id="frmData2" beanclass="com.dougestep.pane.demo.AboutPetAction">
<input type="hidden" id="event" name="save.x" /> 
<s:errors />
<s:messages/>
<div class="control-group">
	<s:label class="control-label" for="name">Pet Name</s:label>
    <div class="controls">
    	<s:text id="name" name="name" class="span8 disabler-show-text-readonly"></s:text>
    </div>
</div>

<div class="control-group">
	<s:label class="control-label" for="age">Pet Age</s:label>
    <div class="controls">
    	<s:select id="age" name="age" class="span6 disabler-show-text-readonly">
    	<s:option value="-2">Under two</s:option>
    	<s:option value="2-4">2-4</s:option>
    	<s:option value="5-7">5-7</s:option>
    	<s:option value="8+">Eight or above</s:option>
    	</s:select>
    </div>
</div>

<div class="control-group">
	<label class="control-label">Pet State</label>
	
    <div class="controls">
		<label for="status-alive" class="radio">
			<s:radio name="status" id="status-alive" value="Alive" /> Alive
		</label>
		
		<label for="status-dead" class="radio">
			<s:radio name="status" id="status-dead" value="Dead" /> Dead
		</label>
		
		<label for="status-playful" class="radio">
			<s:radio name="status" id="status-playful" value="Playful" /> Playful
		</label>
	</div>
</div>

<div class="control-group">
	<label class="control-label">What type of pets do you have?</label>
	
    <div class="controls">
		<label for="dog" class="checkbox">
			<s:checkbox id="dog" name="petType" value="dog" /> Dog
		</label>
		<label for="cat" class="checkbox">
			<s:checkbox id="cat" name="petType" value="cat" /> Cat
		</label>
		<label for="horse" class="checkbox">
			<s:checkbox id="horse" name="petType" value="horse" /> Horse
		</label>
		<label for="bird" class="checkbox">
			<s:checkbox id="bird" name="petType" value="bird" /> Bird
		</label>
	</div>
</div>

<div style="margin-left: auto; margin-right: auto; width:90%">
	<input type="button" name="btnSave" value="Save" class="btn btn-primary" /> 
	<input type="button" name="btnSaveWithError" value="Save (With Error)" class="btn btn-danger" /> 
	<input type="button" name="btnReset" value="Reset" class="btn btn-inverse" /> 
	<input type="button" name="btnRefresh" value="Refresh" class="btn" /> 
	<input type="button" name="btnDisable" value="Disable" class="btn disabler-ignore-readonly" />  
	<input type="button" name="btnReadOnly" value="ReadOnly" class="btn disabler-ignore-readonly" /> 
</div>
</s:form>
</div>

<script type="text/javascript">
$(function() {
	// disable form submits
	$("#pet-data form").on("submit", function(e) {
		e.preventDefault();
	});
	
	var paneContainer = selectPaneContainer("pet-data");
	
	$("div#pet-data input[name='btnSave']").on("click", function(e) {
		var url = $('form#frmData2').attr("action");
		var data = $('form#frmData2').serializeArray(); 
		var params = {
			'containerId' : 'pet-data',
			'ajaxSettings' : {
				url : url,
				data : data,
				success : function(data, status, xhr) {
					$("div#pet-data").html(data);
				}
			}
		};
		$(paneContainer).pane("call", params);
	});
	
	$("div#pet-data input[name='btnSaveWithError']").on("click", function(e) {
		$("div#pet-data input#event").attr("name", "saveWithError.x");
		var url = $('form#frmData2').attr("action");
		var data = $('form#frmData2').serializeArray(); 
		var params = {
			'containerId' : 'pet-data',
			'url' : url,
			'data' : data,
			'keepModifiedIfExistInDom' : 'div#errors',
			'afterCall' : function(data, status, xhr) {
				$("div#pet-data input.error").each(function(index) {
					$(this).parents("div.control-group").addClass("error");
				});
			},
			'ajaxSettings' : {
				url : url,
				data : data,
				success : function(data, status, xhr) {
					$("div#pet-data").html(data);
				}
			}
		};
		$(paneContainer).pane("call", params);
	});
	
	$("div#pet-data input[name='btnReset']").on("click", function(e) {
		$(paneContainer).pane("resetModifiedColumnsInContainer");
		$("div#pet-data div.control-group").removeClass("error");
		$("div#pet-data input.error").removeClass("error");
		$("div#pet-data div#errors").html('');
	});
	
	$("div#pet-data input[name='btnRefresh']").on("click", function(e) {
		$(paneContainer).pane("load", paneLoadOption.PROMPT_ONLY_IF_MODIFIED);
	});
	
	$("div#pet-data input[name='btnDisable']").on("click", function(e) {
		var container = $(paneContainer); 
		if (container.pane("option", "disable")) {
			container.find("input[name='btnReadOnly']").removeAttr("disabled");
			container.pane("enable");
			$(this).val("Disable");
		} else {
			container.find("input[name='btnReadOnly']").attr("disabled", "disabled");
			container.pane("disable");
			$(this).val("Enable");			
		}
	});
	
	$("div#pet-data input[name='btnReadOnly']").on("click", function(e) {
		var container = $(paneContainer); 
		if (container.pane("option", "readonly")) {
			container.find("input[name='btnDisable']").removeAttr("disabled");
			container.pane("option", "readonly", false);
			$(this).val("ReadOnly");
		} else {
			container.find("input[name='btnDisable']").attr("disabled", "disabled");
			container.pane("option", "readonly", true);
			$(this).val("Undo ReadOnly");			
		}
	});
});
</script>

