<!DOCTYPE html>
<html>
<head>
<title>jQuery Pane Demo</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0"> 
<meta http-equiv="X-UA-Compatible" content="IE=edge" >	

<link rel="stylesheet" type="text/css" href="/pane/web/css/demo.css">
<link rel="stylesheet" type="text/css" href="/pane/web/css/jquery-pane.css">
<link rel="stylesheet" type="text/css" href="/pane/web/css/jquery-ui-1.9.2.custom.css">

<link rel="stylesheet" type="text/css" href="/pane/web/css/bootstrap.css" media="screen">
<link rel="stylesheet" type="text/css" href="/pane/web/css/bootstrap-responsive.css">

<script src="/pane/web/script/jquery-1.8.3.js"></script>
<script src="/pane/web/script/jquery-ui-1.9.2.custom.min.js"></script>
<script src="/pane/web/script/jquery-mod-highlighter.min.js"></script>
<script src="/pane/web/script/jquery-disabler.min.js"></script>
<script src="/pane/web/script/jquery-pane.min.js"></script>
<script src="/pane/web/script/bootstrap.min.js"></script>
</head>

<body>
	<a href="/dme/jquery-pane-widget">&lt;&lt;Back to jQuery Pane Widget</a>
	&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
	<a href="https://github.com/dgestep/jquery-pane/tree/1.1.0/demo">Download this Demo</a>
	<br /><br />
	<div class="row-fluid">
		<div class="span12">
			<div id="welcome-message"></div>
		</div>
	</div>
	<div class="row-fluid">
		<div class="span12">
			<div id="pane-controls"></div>
		</div>
	</div>
	<div class="row-fluid">
		<div class="span4">
			<div id="about-you" style="margin: 2px"></div>
		</div>
		<div class="span4">
			<div id="about-pet" style="margin: 2px"></div>
		</div>
		<div class="span4">
			<p class="lead">Unsaved Changes</p>			
			<div id="modifiedCount"></div>
		</div>
	</div>

	<div id="pane-reload-warning-dialog"></div>
	<div id="estep-message" style="display:none;">
		<p class="lead">Check this demo out....</p>
		<p>
		Change some columns, click some buttons, and watch the jQuery Pane plugin in action. There are four panes on 
		this page; this pane (Welcome Message), the control panel pane, the About You pane, and the About Pet pane. 
		Each pane is independent of the other, meaning the actions you take in one won't affect the other. All panes
		are dressed using Twitter Bootstrap styles.  The About Pet pane's group box and header title are dressed
		using jQuery UI's theme. 
		</p>
		<p>
		Thanks to Twitter Bootstrap, this page is mobile friendly.  If you're not on a mobile device, resize
		the browser and watch how the elements on this screen adjust.  Pretty cool! 
		</p>
	</div>
	
	<script type="text/javascript">
	function highlightClick(a) {
		var highlight = false;
		if (a.text() == "Highlight") {
			highlight = true;
		} else {
			a.text("Highlight");
		}
		
		var id = a.attr("id").substring(2);
		$("div#" + id).pane("option", "highlightModifications", highlight);
		
		return false;
	}
	
	$(function(){
		$("div#modifiedCount").on("pane-was-modified", function(e) {
			var allColumns = $("div#about-you").pane("getAllModifiedPaneColumns");
			if (allColumns.length == 0) {
				$("div#modifiedCount").html("There are no unsaved changes at this time.  Get busy and make some changes!");
				return;
			}
			
			var buf = [];
			buf.push("<table class='table table-striped'>");
			buf.push("<tr>");
			buf.push("<th>Pane</th>");
			buf.push("<th>Modified Columns</th>");
			buf.push("<th>&nbsp;</th>");
			buf.push("</tr>");
			for (var i=0, n=allColumns.length; i<n; i++) {
				var pane = allColumns[i];
				var title = pane.title;
				var id = pane.id;
				var highlightEnabled = $("#" + id).pane("option", "highlightModifications");
				var anchorText = highlightEnabled ? "Unhighlight" : "Highlight";
				var count = pane.columns.length;
				
				buf.push("<tr>");
				buf.push("<td>");
				buf.push(title);
				buf.push("</td>");
				buf.push("<td>");
				buf.push(count);
				buf.push("</td>");
				buf.push("<td>");
				buf.push("<a href='#' id='a-" + id + "' onclick='return highlightClick($(this));'>" + anchorText + "</a>");
				buf.push("</td>");
				buf.push("</tr>");
			}
			buf.push("</table>");
			
			$("div#modifiedCount").html(buf.join(''));
		});
		
		var pendingChanges = function(event, data) {
			$("div#modifiedCount").trigger("pane-was-modified");
		};
		
		$("div#welcome-message").pane({
			paneActionUrl: '#estep-message',
			enablePaneHeader: true,
			paneHeaderTitle: 'Welcome Pane User!!'
		});
		
		$("div#about-you").pane({
			paneActionUrl: '/pane/about-customer',
			paneHeaderTitle: 'Tell us about you',
			enablePaneGroupBox: true,
			enablePaneHeader: true,
			paneHeaderAlign:'left',
			highlightModifications: false,
			modificationHighlighterOptions : {
				addlSelectableInputTypes : '',
				inputNotModifiedIfHasClass: 'error',
				modifiedColumnClass: "ui-state-highlight",
				modifiedLabelClass: "ui-state-highlight",
				afterChange : function(event, data) {
					pendingChanges(event, data);
				}
			}
		});
		
		$("div#about-pet").pane({
			paneActionUrl: '/pane/about-pet',
			paneHeaderTitle: 'Tell us about your pet',
			enablePaneGroupBox: true,
			enablePaneHeader: true,
			paneHeaderAlign:'center',
			highlightModifications: false,
			modificationHighlighterOptions : {
				addlSelectableInputTypes : '',
				inputNotModifiedIfHasClass: 'error',
				modifiedColumnClass: "ui-state-highlight",
				modifiedLabelClass: "ui-state-highlight",
				afterChange : function(event, data) {
					pendingChanges(event, data);
				}
			},
			paneGroupBoxContentClass : "ui-widget-content",
			paneHeaderTitleBarClass : "ui-widget-header"
		});
		
		$("div#pane-controls").pane({
			paneActionUrl: '/pane/control-panel',
			highlightModifications: false,
			paneHeaderTitle: 'Pane Control Panel',
			enablePaneGroupBox: false,
			enablePaneHeader: false
		});
		
		$("#pane-reload-warning-dialog").on( "dialogopen", function( event, ui ) {
			$('.ui-dialog-buttonset').find('button').addClass('btn');
			$('.ui-dialog-buttonset').find('button:first').addClass('btn-primary');
		});
	});
	</script>
</body>
</html>