<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1"%>
<!DOCTYPE html>
<%@ taglib prefix="s" uri="http://stripes.sourceforge.net/stripes.tld"%> 
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%> 
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%> 
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%> 

<div id="control-panel-data" class="linear-form">
<s:form id="frmControlPanel" beanclass="com.dougestep.pane.demo.ControlPanelAction">
<table class="table table-striped">
<thead>
<tr>
<th>ID</th>
<th>enable Pane Group Box</th>
<th>enable Pane Header</th>
<th>pane Header Title</th>
<th>pane Header Align</th>
</tr>
</thead>
<c:forEach var="paneId" items="${actionBean.paneIds}">
	<tr>
		<td>${paneId}</td>
		<td>
			<select name="gb-${paneId}" class="group-box-on-off span5 panels-ignore-modified">
			<option value="false">false</option>
			<option value="true">true</option>
			</select>
		</td>
		<td>
			<select name="header-${paneId}" class="header-on-off span5 panels-ignore-modified">
			<option value="false">false</option>
			<option value="true">true</option>
			</select>
		</td>
		<td>
	    	<input name="header-title-${paneId}" type="text" class="span8 header-title panels-ignore-modified" value=""/> 
		</td>
		<td>
			<select name="header-text-align-${paneId}" class="header-text-align span6 panels-ignore-modified">
			<option value="left">Left</option>
			<option value="center">Center</option>
			<option value="right">Right</option>
			</select>
		</td>
	</tr>
</c:forEach>
</table>
</s:form>
</div>

<script type="text/javascript">
$(function() {
	// disable form submits
	$("#control-panel-data form").on("submit", function(e) {
		e.preventDefault();
	});
	
	var paneContainer = selectPaneContainer("control-panel-data");
	
	$("#control-panel-data select.group-box-on-off").each(function(index) {
		var select = $(this);
		var id = select.attr("name").substring(3);
		var enabled = $("#" + id).pane("option", "enablePaneGroupBox");
		
		select.val(enabled ? "true" : "false");
	});
	$("#control-panel-data select.group-box-on-off").on("change", function(e) {
		var select = $(this);
		var enabled = select.val() == "true";
		var id = select.attr("name").substring(3);
		$("#" + id).pane("option", "enablePaneGroupBox", enabled);
	});
	
	$("#control-panel-data select.header-on-off").each(function(index) {
		var select = $(this);
		var id = select.attr("name").substring(7);
		var enabled = $("#" + id).pane("option", "enablePaneHeader");
		select.val(enabled ? "true" : "false");
	});
	$("#control-panel-data select.header-on-off").on("change", function(e) {
		var select = $(this);
		var enabled = select.val() == "true";
		var id = select.attr("name").substring(7);
		$("#" + id).pane("option", "enablePaneHeader", enabled);
	});
	
	$("#control-panel-data input.header-title").each(function(index) {
		var inp = $(this);
		var id = inp.attr("name").substring(13);
		var title = $("#" + id).pane("option", "paneHeaderTitle");
		inp.val(title);
	});
	$("#control-panel-data input.header-title").on("change", function(e) {
		var inp = $(this);
		var id = inp.attr("name").substring(13);
		$("#" + id).pane("option", "paneHeaderTitle", inp.val());
	});
	
	$("#control-panel-data select.header-text-align").each(function(index) {
		var select = $(this);
		var id = select.attr("name").substring(18);
		var align = $("#" + id).pane("option", "paneHeaderAlign");
		select.val(align);
	});
	$("#control-panel-data select.header-text-align").on("change", function(e) {
		var select = $(this);
		var id = select.attr("name").substring(18);
		$("#" + id).pane("option", "paneHeaderAlign", select.val());
	});
});
</script>

